Bug 7707 - Kernel BUG at "mm/page_alloc.c":683
: Kernel BUG at "mm/page_alloc.c":683
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-18 11:27 by
Modified: 2006-08-30 13:16 (History)


Attachments
dmesg (15.66 KB, text/plain)
2005-08-19 14:43, Vasya Borisov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-18 11:27:18
Kernel BUG at "mm/page_alloc.c":683
invalid operand: 0000 [1] 
CPU 0 
Modules linked in: lp thermal processor button ide_cd cdrom i2c_viapro i2c_core
via82cxxx af_packet sk98lin ohci1394 ieee1394 shpchp pci_hotplug amd64_agp
agpgart 8250_pnp 8250 serial_core parport_pc parport evdev floppy pcspkr psmouse
uhci_hcd ehci_hcd usbcore dm_mod rtc raid0 raid1 ext3 jbd mbcache sata_via
libata sd_mod scsi_mod ide_disk ide_generic ide_core
Pid: 29495, comm: m4 Not tainted 2.6.12-std26-up-alt3
RIP: 0010:[<ffffffff801535a9>] <ffffffff801535a9>{buffered_rmqueue+297}
RSP: 0000:ffff810007b3fcd8  EFLAGS: 00010202
RAX: 0000000000000001 RBX: ffffffff802f2b60 RCX: 0000000000000000
RDX: 000000000002000a RSI: ffff810001700230 RDI: ffffffff802f2b60
RBP: 0000000000000001 R08: 0000000000000001 R09: 0000000000000000
R10: 0000000000000c68 R11: 0000000000000000 R12: ffff810001700230
R13: ffffffff802f2b98 R14: ffffffff802f3200 R15: 0000000000000000
FS:  00002aaaab147a60(0000) GS:ffffffff803cfd00(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 000000000518e6f8 CR3: 0000000007b0d000 CR4: 00000000000006e0
Process m4 (pid: 29495, threadinfo ffff810007b3e000, task ffff81003d84f1b0)
Stack: 0000001f00000000 000000000000001f 000080d2091c0560 0000000000000046 
       0000000000000256 ffffffff802f2b60 0000000000000001 ffff81000293bc70 
       0000000000000000 ffffffff802f3200 
Call Trace:<ffffffff80153882>{__alloc_pages+194} <ffffffff8015df09>{do_no_page+249}
       <ffffffff8015e3a0>{handle_mm_fault+400}
<ffffffff8011d058>{do_page_fault+1000}
       <ffffffff80160d7b>{do_munmap+491} <ffffffff80298af5>{schedule+197}
       <ffffffff8010efad>{error_exit+0} 

Code: 0f 0b a3 43 2b 80 ff ff ff ff ab 02 48 8b 93 f0 01 00 00 bf 
RIP <ffffffff801535a9>{buffered_rmqueue+297} RSP <ffff810007b3fcd8>


kernel-image-std26-up-2.6.12-alt3.x86_64

Зависоимость из-за чего вылетает выявить не удалось, происходит довольно часто,
примерно через 20-30 минут после загрузки).
------- Comment #1 From 2005-08-18 12:44:23 -------
А с памятью на машине точно все хорошо ? процессор не перегревается ?

Очень смахивает на аппаратную проблему. У меня:
[rider@rider rider]$ uname -r
2.6.12-std26-up-alt4
[rider@rider rider]$ uptime
 12:33:13 up 20:36, 10 users,  load average: 0.55, 0.68, 0.59


В общем то проблем не замечено.
------- Comment #2 From 2005-08-18 20:05:30 -------
На alt4 то же самое?  Там вроде бы что-то правилось для x86_64...

Ещё хотелось бы видеть dmesg -s200000 от этих машин (возможно, удастся
обнаружить какую-то существенную разницу между ними).
------- Comment #3 From 2005-08-19 14:43:52 -------
Created an attachment (id=1064) [details]
dmesg
------- Comment #4 From 2005-08-19 14:44:47 -------
Действительно очень похоже на апаратную проблему (вылетает при нагрузках,
например при сборке программ, ошибки разные). НО во-первых на этой машине
Мастер
2.4 с ядром по умолчанию прожил полторы недели без проблем, во вторых мемтест
крутился всю ночь(32 раза прошел тесты - не одной ошибки), в третих процессор
не
греется выше 45 градусов. 
Снова поставил Мастер 2.4, ядро 2.6.8 из коробки, полдня под нагрузкой полет
нормальный.
В атаче dmesg, после одного из падений(тоже что и в пером сообщеии).
------- Comment #5 From 2005-08-19 14:47:02 -------
Забыл :(. На alt4 тоже самое.
------- Comment #6 From 2005-08-24 17:08:43 -------
Поставил FedoraCore4 для x86_64, те-же глюки. :( 
Поставил Compact3.0rc4, пока работает нормально. 
Может ли процессор(чипсет) нормально работать в 32-битном режими и глючить в
64-битном? Или это все-же в ядре под x86_64 бага?
------- Comment #7 From 2005-12-10 16:38:13 -------
Вроде бы в ядре 2.6.14 это должно быть исправлено (обнаружена аппаратная ошибка
в процессоре, вызывающая похожие проблемы).
------- Comment #8 From 2006-08-30 13:16:45 -------
closed